# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Clone.pm) perl(Data/Dumper.pm) perl(Exporter/Tidy.pm) perl(ExtUtils/MakeMaker.pm) perl(Hash/AsObject.pm) perl(Hash/Util.pm) perl(Pod/Perldoc.pm) perl(Pod/Simple/Text.pm) perl(Pod/Usage.pm) perl(Regexp/Common.pm) perl(Scalar/Util.pm) perl(Term/ReadKey.pm) perl(Term/ReadLine.pm) perl(Test/Differences.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Text/Balanced.pm) perl(Text/Quote.pm) perl(aliased.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.741
%define module_name AI-Prolog
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.741
Release: alt1
Summary: Perl extension for logic programming.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DO/DOUGW/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
`AI::Prolog' is a pure Perl predicate logic engine.  In predicate logic,
instead of telling the computer how to do something, you tell the computer what
something is and let it figure out how to do it.  Conceptually this is similar
to regular expressions.

 my @matches = $string =~ /XX(YY?)ZZ/g

If the string contains data that will satisfy the pattern, `@matches' will
contain a bunch of "YY" and "Y"s.  Note that you're not telling the program how
to find those matches.  Instead, you supply it with a pattern and it goes off
and does its thing.

To learn more about Prolog, see Roman BartE<225>k's "Guide to Prolog
Programming" at http://kti.ms.mff.cuni.cz/~bartak/prolog/index.html.
Amongst other things, his course uses the Java applet that `AI::Prolog' was
ported from, so his examples will generally work with this module.

Fortunately, Prolog is fairly easy to learn.  Mastering it, on the other hand,
can be a challenge.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.741-alt1
- initial import by package builder

